Qt 4.8 on Raspberry pi



  • Good Day Qt Forum! I built a program running on windows Qt 5.5 and i tried to copy all the project files and compile it to my raspberry pi. Since Qt 4.8 was on the raspberry pi some functions and classes has error on it "no such file or directory". I do not know how to update my Qt to the latest version to have "Gstreamer lib and plugin". Theres another side that i am going to ask if i can just download the Gstreamer lib and plugin and install it on my raspberry pi to get rid of updating the Qt to have it. Thank you


  • Lifetime Qt Champion

    Hi,

    What distribution are you running on your Pi ?

    You may have to either cross-compile Qt 5 or compile it natively on the Pi (this takes lots of time)


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.